/* Import (extern) header for application - AppBuilder 1.13X */

#include "abdefine.h"

extern const ApEventLink_t appl_links[];
extern ApEventLink_t internal_links[];

extern ApWindowLink_t base;
extern const ApEventLink_t base_links[];
extern ApWidget_t dsbase[2];

extern ApDialogLink_t config;
extern const ApEventLink_t config_links[];
extern ApWidget_t dsconfig[28];

extern ApDialogLink_t cfgfonts;
extern const ApEventLink_t cfgfonts_links[];
extern ApWidget_t dscfgfonts[13];

extern ApDialogLink_t tithelp;
extern const ApEventLink_t tithelp_links[];
extern ApWidget_t dstithelp[2];

extern ApDialogLink_t protochg;
extern const ApEventLink_t protochg_links[];
extern ApWidget_t dsprotochg[6];

extern ApDialogLink_t saveerr;
extern const ApEventLink_t saveerr_links[];
extern ApWidget_t dssaveerr[3];

extern ApMenuLink_t menu;
extern const ApEventLink_t menu_links[];
extern ApPictureLink_t fontlists;
extern const ApEventLink_t fontlists_links[];
extern ApWidget_t dsfontlists[4];

extern ApDialogLink_t exitdlg;
extern const ApEventLink_t exitdlg_links[];
extern ApWidget_t dsexitdlg[2];

extern ApDialogLink_t cserrdlg;
extern const ApEventLink_t cserrdlg_links[];
extern ApWidget_t dscserrdlg[2];

#ifdef __cplusplus
extern "C" {
#endif
int init( int argc, char **argv );
int base_setup( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int config_apply( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int config_save( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int fillfcfg( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int donefdlg( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int config_destroy( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int do25x80( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int butDfltTitle( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int addFont( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int delFont( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int moveUp( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int moveDn( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int cfgfonts_destroy( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int config_init( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int xgrpsel( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int grabfocus( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int listfont_sel( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int init_tithelp( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int numtxtv( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int toggle( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int destroy_base( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int config_enter( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int destroyed_tithlp( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int fillprotodlg( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int do_stty( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int dont_stty( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int do_write_stty( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int proto_done( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int title_esc( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int sverrInit( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int sverrDestroy( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int timer_tick( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int menu_init( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int searchhelp( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int terminated( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int menu_unrealized( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int paste( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int pastesp( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int copy( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int pastesel( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int mselect( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int switchsel( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int textmse( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int chgFont( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int fontset_changed( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int showfont_sel( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int safe_exit( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int close_base( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
int selcsfile( PtWidget_t *widget, ApInfo_t *data, PtCallbackInfo_t *cbinfo );
#ifdef __cplusplus
}
#endif
